Description

This is the first part of the Bug #10499. Maybe Jean-Philippe did not understand I mean it as a bug.

The cyrillic characters are not displayed correctly, it's like hex edit :)

There is a screenshot attached.

The page encoding is set to Unicode (UTF-8). I'm using the native

windows language bar.

Thanks, Nikolay

History

#1 - 2007-05-02 14:28 - Jean-Philippe Lang

With settings explained here:

http://rubyforge.org/tracker/index.php?func=detail&aid=10469x%x%

amp;group_id=1850&atid=7160

it works fine. See attached screenshot

#2 - 2007-05-03 03:56 - Nikolay Solakov

Jean-Philippe, did you paste the cyrillic text with the

clipboard or you typed it? With pasteing it's ok, but with

typing I still got the problem :(

I created the database like this: CREATE DATABASE `redmine`

CHARACTER SET utf8 COLLATE utf8_general_ci;

Added the encoding: utf8 in the database.yml file and

migrated the base. The truncation of 'ÃÂ¢ÃÂµÃ‘â€¦ÃÂ½ÃÂ¸Ã‘â€¡ÃÂµÃ‘ÂÃÂºÃÂ°

ÃÂ´ÃÂ¾ÃÂºÃ‘Æ’ÃÂ¼ÃÂµÃÂ½Ã‘â€šÃÂ°Ã‘â€ ÃÂ¸Ã‘Â' is gone now, but if I try to type some

text in

cyrillic I got the same strange characters.

Thanks,

Nikolay

#3 - 2007-05-03 13:00 - Jean-Philippe Lang

Oh, I copied the cyrillic text indeed. I don't even know how

I could type it :-)

At this time, I have no idea about the reason of this problem.

Maybe someone else has a clue ?

#4 - 2007-05-03 13:08 - Nikolay Solakov

I'm sorry.

It's not redMine related problem. I tried other sites with

utf8 and typing was the same. IE7 - s*cks :)

Thanks,

Nikolay
